com.hazelcast.concurrent.semaphore.operations

## Class SemaphoreReplicationOperation

- java.lang.Object
- - com.hazelcast.spi.Operation
  - - com.hazelcast.concurrent.semaphore.operations.SemaphoreReplicationOperation

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

      public class SemaphoreReplicationOperation
      extends Operation
      implements IdentifiedDataSerializable

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.spi.Operation

      `GENERIC_PARTITION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SemaphoreReplicationOperation()`
    `SemaphoreReplicationOperation(Map<String,SemaphoreContainer> migrationData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `int` | `getId()` Returns type identifier for this class.
    `String` | `getServiceName()`
    `protected void` | `readInternal(ObjectDataInput in)`
    `void` | `run()` Runs the operation.
    `protected void` | `writeInternal(ObjectDataOutput out)`

    - ### Methods inherited from class com.hazelcast.spi.Operation

      `afterRun, beforeRun, call, executedLocally, getCallerAddress, getCallerUuid, getCallId, getCallTimeout, getConnection, getInvocationTime, getLogger, getNodeEngine, getOperationResponseHandler, getPartitionId, getReplicaIndex, getResponse, getService, getWaitTimeout, isUrgent, logError, onExecutionFailure, onInvocationException, onSetCallId, readData, requiresExplicitServiceName, returnsResponse, sendResponse, setCallerUuid, setNodeEngine, setOperationResponseHandler, setPartitionId, setReplicaIndex, setService, setServiceName, setValidateTarget, setWaitTimeout, toString, toString, validatesTarget, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Constructor Detail

    - #### SemaphoreReplicationOperation

          public SemaphoreReplicationOperation()

    - #### SemaphoreReplicationOperation

          public SemaphoreReplicationOperation(Map<String,SemaphoreContainer> migrationData)

  - ### Method Detail

    - #### run

          public void run()
                   throws Exception

      Description copied from class: `Operation`
      Runs the operation. Either the `Operation.run()` or `Operation.call()` method should be implemented; not both. Runs after wait-support, supposed to do actual operation
      Overrides:
        `run` in class `Operation`
      Throws:
        `Exception`
      See Also:
        `Operation.call()`

    - #### getServiceName

          public String getServiceName()

      Overrides:
        `getServiceName` in class `Operation`

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

    - #### writeInternal

          protected void writeInternal(ObjectDataOutput out)
                                throws IOException

      Overrides:
        `writeInternal` in class `Operation`
      Throws:
        `IOException`

    - #### readInternal

          protected void readInternal(ObjectDataInput in)
                               throws IOException

      Overrides:
        `readInternal` in class `Operation`
      Throws:
        `IOException`

Copyright © 2019. All rights reserved.